﻿using AutoMapper;
using HanyadikHetVan.Data.Entities;
using HanyadikHetVan.DTO;

namespace HanyadikHetVan.Profiles
{
    public class PurseProfile : Profile
    {
        public PurseProfile()
        {
            CreateMap<Purse, PurseDTO>();
            CreateMap<PurseDTO, Purse>().ForMember(x => x.User, options => options.Ignore()).ForMember(x => x.UserId, options => options.Ignore()).ForMember(x => x.Id, options => options.Ignore());
        }
    }
}
