﻿using HanyadikHetVan.DTO;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

namespace HanyadikHetVan.Services
{
    public class HanyadikHetVanJsonService
    {
        private readonly ILogger<HanyadikHetVanJsonService> _logger;
        private IConfiguration _configuration;

        public HanyadikHetVanJsonService(ILogger<HanyadikHetVanJsonService> logger, IConfiguration configuration)
        {
            _configuration = configuration;
            _logger = logger;
        }

        public HanyadikHetVanDTO HanyadikHetVan()
        {
            return new HanyadikHetVanDTO(_configuration["HanyadikHetVan:StartDate"]);
        }
    }
}
